Bug 1285710 - system-config-printer fails with HP Color LaserJet CM3530 printer
system-config-printer fails with HP Color LaserJet CM3530 printer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 05:29 EST by Erwan Legrand
Modified: 2016-07-19 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:32:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
troubleshoot.txt file as produced by system-config-printer (32.78 KB, text/plain)
2015-11-26 05:29 EST, Erwan Legrand
no flags Details

  None (edit)
Description Erwan Legrand 2015-11-26 05:29:42 EST
Created attachment 1099208 [details]
troubleshoot.txt file as produced by system-config-printer

Description of problem:

system-config-printer fails while printing test page

Version-Release number of selected component (if applicable):

1.5.7-3.fc22

How reproducible:

Always

Steps to Reproduce:
1. Configure Fedora to print to a HP Color LaserJet CM3530 printer
2. In Printer Settings, press F1
3. Click Forward
4. Click Forward
5. Select printer and click Forward
6. Click Forward
7. Click Enable Debugging then Forward
8. Click Print Test Page


Actual results:

$ system-config-printer
Traceback:
File "/usr/share/system-config-printer/troubleshoot/__init__.py", line 316, in _collect_answer
    answer = question.collect_answer ()
File "/usr/share/system-config-printer/troubleshoot/ErrorLogCheckpoint.py", line 143, in collect_answer
    self.op.run ()
File "/usr/share/system-config-printer/timedops.py", line 211, in run
    return self.thread.collect_result ()
File "/usr/share/system-config-printer/timedops.py", line 164, in collect_result
    raise self.exception
File "/usr/share/system-config-printer/timedops.py", line 152, in run
    self.result = self.target (*self.args, **self.kwargs)
File "/usr/share/system-config-printer/authconn.py", line 225, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
File "/usr/share/system-config-printer/authconn.py", line 243, in _authloop
    result = fn.__call__ (*args, **kwds)
File "/usr/share/system-config-printer/cupspk.py", line 422, in getFile
    *args, **kwds)
File "/usr/share/system-config-printer/cupspk.py", line 112, in _call_with_pk_and_fallback
    return fallback_function(*args, **kwds)
TypeError: argument 2 must be str, not _io.BufferedRandom
*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug

*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug

*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug

Expected results:

No error

Additional info:

troubleshoot.txt file attached
Comment 1 Van Lepthien 2015-12-06 15:07:07 EST
Also occurs with Brother MFC 7340. Traceback is identical to the original.
Comment 2 Van Lepthien 2015-12-07 11:13:08 EST
This appears to be caused by SE Linux:

SELinux is preventing /usr/local/Brother/cupswrapper/brcupsconfig3 from using the execmem access on a process.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to allow cups execmem/execstack
Then you must tell SELinux about this by enabling the 'cups_execmem' boolean.
You can read 'cupsd_selinux' man page for more details.
Do
setsebool -P cups_execmem 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that brcupsconfig3 should be allowed execmem access on processes labeled cupsd_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep brcupsconfig3 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

---------

After I executed the setsebool command, printing the test page worked, but another SELinux alert was generated.

See bug 1246898
Comment 3 Fedora Admin XMLRPC Client 2016-06-24 06:41:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 14:32:16 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.